org.apache.cassandra.utils.btree

## Class BTreeSet.Builder<V>

- java.lang.Object
- - org.apache.cassandra.utils.btree.BTreeSet.Builder<V>

Enclosing class:
  BTreeSet<V>

    public static class BTreeSet.Builder<V>
    extends java.lang.Object

### Constructor Summary

Constructors
`protected` `Builder(java.util.Comparator<? super V> comparator)`

### Method Summary

All Methods Instance Methods Concrete Methods
`BTreeSet.Builder<V>` `add(V v)`
`BTreeSet.Builder<V>` `addAll(java.util.Collection<V> iter)`
`BTreeSet<V>` `build()`
`boolean` `isEmpty()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Builder

    protected Builder(java.util.Comparator<? super V> comparator)

### Method Detail

#### add

    public BTreeSet.Builder<V> add(V v)

#### addAll

    public BTreeSet.Builder<V> addAll(java.util.Collection<V> iter)

#### isEmpty

    public boolean isEmpty()

#### build

    public BTreeSet<V> build()